> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all lists



## OpenAPI

````yaml get /lists
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /lists:
    get:
      tags:
        - Lists
      summary: Get all lists
      operationId: getLists
      parameters:
        - name: event_id
          in: query
          description: Event ID
          required: false
          schema:
            type: string
        - name: list_rate_id
          in: query
          description: List rate ID
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/List'
                  success:
                    type: boolean
        '401':
          description: Unauthorized
      security:
        - ApiKey: []
components:
  schemas:
    List:
      type: object
      properties:
        _id:
          type: string
          example: '1643064796675'
        event_id:
          type: string
          example: '1643064796675'
        list_rate_id:
          type: string
          example: '1643064796675'
        total_men:
          type: integer
          example: 3
        total_women:
          type: integer
          example: 2
        total_no_gender:
          type: integer
          example: 0
        prices:
          type: array
          items:
            $ref: '#/components/schemas/ListPrice'
        channel_id:
          type: string
          example: '1643064796675'
        qr_code:
          type: string
          example: P3SQ1TFSK
        full_name:
          type: string
          example: John Doe
        email:
          type: string
          format: email
          example: email@email.com
        tags:
          type: array
          items:
            type: string
            example: Free drink
        for:
          type: integer
          example: 5
        enter:
          type: integer
          example: 5
        language:
          type: string
          example: es
        observations_referral:
          type: string
          example: asdfghjkl123456
        observations_reception:
          type: string
          example: ''
        entry_time:
          type: string
          format: date-time
          example: '2024-09-04T07:32:26.000Z'
        raised:
          type: number
          format: float
          example: 153
    ListPrice:
      type: object
      properties:
        _id:
          type: string
          example: '1683803249490'
        men:
          type: integer
          example: 2
        women:
          type: integer
          example: 1
        no_gender:
          type: integer
          example: 0
        price:
          type: number
          format: float
          example: 50
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````